Apache Tomcat 7.0.42

## org.apache.catalina.deploy
Class ContextHandler

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase
          org.apache.catalina.deploy.ContextHandler

All Implemented Interfaces:
  Serializable, Injectable

    public class ContextHandler

extends ResourceBase

Representation of a handler reference for a web service, as represented in a `<handler>` element in the deployment descriptor.

Author:
  Fabien Carrion
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.deploy.ResourceBase
`resources`

Constructor Summary
`ContextHandler()`

Method Summary
`void` `addPortName(String portName)`
`void` `addSoapHeaders(String localpart, String namespaceuri)`
`void` `addSoapRole(String soapRole)`
`boolean` `equals(Object obj)`
`String` `getHandlerclass()`
`Iterator<String>` `getLocalparts()`
`String` `getNamespaceuri(String localpart)`
`String` `getPortName(int i)`
`int` `getPortNamesSize()`
`String` `getSoapRole(int i)`
`int` `getSoapRolesSize()`
`int` `hashCode()`
`void` `setHandlerclass(String handlerclass)`
`void` `setProperty(String name, String value)` Set a configured property.
`String` `toString()` Return a String representation of this object.

Methods inherited from class org.apache.catalina.deploy.ResourceBase
`addInjectionTarget, getDescription, getInjectionTargets, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setName, setProperty, setType`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextHandler

    public ContextHandler()

Method Detail

### getHandlerclass

    public String getHandlerclass()

### setHandlerclass

    public void setHandlerclass(String handlerclass)

### getLocalparts

    public Iterator<String> getLocalparts()

### getNamespaceuri

    public String getNamespaceuri(String localpart)

### addSoapHeaders

    public void addSoapHeaders(String localpart,
                               String namespaceuri)

### setProperty

    public void setProperty(String name,
                            String value)

  Set a configured property.

### getSoapRole

    public String getSoapRole(int i)

### getSoapRolesSize

    public int getSoapRolesSize()

### addSoapRole

    public void addSoapRole(String soapRole)

### getPortName

    public String getPortName(int i)

### getPortNamesSize

    public int getPortNamesSize()

### addPortName

    public void addPortName(String portName)

### toString

    public String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ResourceBase`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `ResourceBase`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.